API

Get a list of candidates

GET/api/crm/v2/candidatesv2
operationId: candidates.default

Authorization

api-token + language + role

Query parameters

branch_idinteger

Example: 1

vacancy_idinteger

Example: 1

page_numberinteger

Example: 1

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
branch_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

vacancy_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

listarray of object
idintegerrequired

Example: 1

date_creationstring (DataTimeFormatSQL) required

Example: 2024-05-02 08:31:16

date_next_contactstring (DataTimeFormatSQL)

Example: 2024-05-02 08:31:16

namestringrequired

Example: Name

phone_format_idintegerrequired

Example: 1

phone_numberstringrequired

Example: 9999999999

date_of_birthstring

Example: 2010-10-22

genderstring (Gender)

Values:womanman

Example: man

educationstring (Education)

Values:highersecondaryelementaryspecialwithout

Example: special

emailstring

Example: example@example.com

messagestring

Example: Example

commentstring

Example: Example

statusstring (StatusCandidates) required

Values:deniednot_processedapprovednot_satisfied_with_conditionshired

Example: not_satisfied_with_conditions

messenger_telegrambooleanrequired

Example: false

messenger_whatsappbooleanrequired

Example: true

messenger_viberbooleanrequired

Example: true

messenger_facebookbooleanrequired

Example: false

vacancy_idintegerrequired

Example: 1

vacancy_namestringrequired

Example: Pianist

chain_idinteger

Example: 1

city_namestring

Example: London

branch_idinteger

Example: 1

photostring

Example: https://cdn.foodsoul.test/zones/ru/branches/8778/images/candidates/578a215d632b422b26c8bcb77a956d8e.jpg?v1727165777

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false